%define api_version 1.4
%define pkg_name geronimo-javamail_%{api_version}_spec

Name:           geronimo-javamail-1_4-api
Version:        1.7.1
Release:        %mkrel 1
Summary:        JavaMail Spec API 1.4
License:        Apache Software License 2.0
Group:          Development/Java
URL:            http://geronimo.apache.org/
Source0:        http://repo2.maven.org/maven2/org/apache/geronimo/specs/%{pkg_name}/%{version}/%{pkg_name}-%{version}-source-release.tar.gz
Source1:        geronimo-javamail-1_4-api-1.7.1.depmap
Patch0:         geronimo-javamail-1_4-api-1.7.1-use_parent_pom.patch
BuildRequires:  apache-rat-plugin
BuildRequires:  felix-osgi-core
BuildRequires:  felix-osgi-compendium
BuildRequires:  geronimo-jaf-1_1-api
BuildRequires:  geronimo-osgi-locator
BuildRequires:  geronimo-parent-poms
BuildRequires:  maven
BuildRequires:  maven-plugin-bundle
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  java-devel
BuildRequires:  junit
BuildRequires:  jpackage-utils
Requires:       geronimo-jaf-1_1-api
Requires:       jpackage-utils
BuildArch:      noarch

%description
Geronimo Javamail 1.4 Specification.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
Geronimo Javamail 1.4 Specification.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{pkg_name}-%{version}

iconv -f iso8859-1 -t utf-8 LICENSE > LICENSE.conv && mv -f LICENSE.conv LICENSE
sed -i 's/\r//' LICENSE
%patch0 -p0

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mvn-jpp \
  -e \
  -Dmaven2.jpp.mode=true \
  -Dmaven2.jpp.depmap.file="%{SOURCE1}" \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:javadoc

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_mavenpomdir}

install -m 644 target/%{pkg_name}-%{version}.jar \
  %{buildroot}%{_javadir}/geronimo-javamail-%{api_version}-api-%{version}.jar

%add_to_maven_depmap org.apache.geronimo.specs %{pkg_name} %{version} JPP geronimo-javamail-%{api_version}-api
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-geronimo-javamail-%{api_version}-api.pom

(
  cd %{buildroot}%{_javadir}/
  ln -sf geronimo-javamail-%{api_version}-api-%{version}.jar geronimo-javamail-%{api_version}-api.jar
)

mkdir -p %{buildroot}%{_javadocdir}/geronimo-javamail-%{api_version}-api-%{version}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/geronimo-javamail-%{api_version}-api-%{version}
ln -s geronimo-javamail-%{api_version}-api-%{version} %{buildroot}%{_javadocdir}/geronimo-javamail-%{api_version}-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/geronimo-javamail-%{api_version}-api-%{version}.jar
%{_javadir}/geronimo-javamail-1.4-api.jar
%{_mavenpomdir}
%{_mavendepmapfragdir}
%doc LICENSE

%files javadoc
%{_javadocdir}/geronimo-javamail-%{api_version}-api-%{version}
%{_javadocdir}/geronimo-javamail-%{api_version}-api



%changelog

* Sat Sep 03 2011 dmorgan <dmorgan> 1.7.1-1.mga2
+ Revision: 138162
- Adapt to mageia guidelines

* Fri Jun 10 2011 gil <gil> 1.7.1-0.mga2
+ Revision: 102890
- imported package geronimo-javamail-1_4-api

